Skip to main content
GET
/
v1
/
customers
/
{customerId}
Get a customer
curl --request GET \
  --url https://api.ledger.so/v1/customers/{customerId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>",
    "type": "individual",
    "status": "active",
    "kycStatus": "not_started",
    "kycLink": "<string>",
    "tosLink": "<string>",
    "capabilities": {
      "virtualAccounts": true,
      "wallets": true,
      "transfers": true
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "phone": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Path Parameters

customerId
string
required

The customer ID

Response

Customer details

ok
enum<boolean>
required
Available options:
true
data
object
required